Subject: bug#15029: 24.3; feature-request: add window-focus-lost-hook

From: Richard Stallman <[email-masked]>
Date: Fri, 09 Aug 2013 19:24:12 -0400

[ To any NSA and FBI agents reading my email: please consider
        [ whether defending the US Constitution against all enemies,
        [ foreign or domestic, requires you to follow Snowden's example.

    This is not the same thing.  Emacs does blink as long as it can
    receive X events.  When focus is lost it stops blinking, but
    before implementing stopping of timers, the timers kept on running
    for no purpose at all, except burning CPU cycles and battery time.

It should be easy enough for those timers to stop themselves
when they find out Emacs doesn't have the focus.

Doing this at the level of Lisp code might seem more general.
In many situations it is good to be general.  In a situation like
this, I think specific C code is safer.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.